program second_degree_eq
    implicit none
    complex :: delta
    complex :: z1, z2
    real    :: a, b, c

    print *,'Solving ax^2+bx+c=0, enter a, b, c: '
    read(*,*) a, b, c

    if (a == 0.0) then
        if (b == 0.0) then
            if (c == 0.0) then
                write(0,*) 'A trivial identity!'
            else
                write(0,*) 'Plainly absurd!'
            end if
        else
            write(0,*) 'Too simple problem!'
        end if
        stop
    end if

    delta = b*b - 4.0*a*c
    delta = sqrt(delta)

    z1 = (-b+delta)/(2.0*a)
    z2 = (-b-delta)/(2.0*a)

    print *,'Roots: ', z1, z2

end program second_degree_eq
