! roots of a 2nd degree equation with real coefficients

program second_degree_eq
    implicit none
    real :: delta
    real :: rp
    real :: x1, x2
    real :: a, b, c

    print *,'Solving ax^2+bx+c=0, enter a, b, c:'
    read (*,*) a, b, c

    if (a == 0.0) then
        if (b == 0.0) then
            if (c == 0.0) then
                write(0,*) 'A trivial identity!'
            else
                write(0,*) 'Plainly absurd!'
            end if
        else
            write(0,*) 'Too simple problem!'
        end if
        stop
    end if

    delta = b**2 - 4.0*a*c

    if (delta < 0.0) stop 'No real roots!'

    delta = sqrt(delta)/(2.0*a)
    rp = -b/(2.0*a)

    print *,'Real roots: ', rp+delta, rp-delta

end program second_degree_eq
